"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ErrorBoundary = void 0;
exports.ErrorHandler = ErrorHandler;
var _react = _interopRequireWildcard(require("react"));
var _ApiError = require("../data/models/ApiError");
var _LocaleService = require("./services/LocaleService");
var _reactRouterDom = require("react-router-dom");
var _ConfigService = require("./services/ConfigService");
var _UIManager = require("./services/UIManager");
var _BaseBusinessLogic = require("./services/BaseBusinessLogic");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
//@ts-ignore
window.removeEventListeners('unhandledrejection'); // defined in html

function ErrorHandler() {
  var navigate = (0, _reactRouterDom.useNavigate)();
  function globalErrorHandler(e) {
    e.preventDefault();
    e.stopImmediatePropagation();
    var configService = _ConfigService.ConfigService.instance();
    var localeService = _LocaleService.LocaleService.instance();
    console.log('err', e);
    _UIManager.UIManager.instance().displayLoading(false);
    if (e.reason instanceof _ApiError.ApiError) {
      var error = e.reason;
      console.log('err', error.detail);
      var localeKey = 'lib.api.code' + error.detail.code;
      var msg = localeService.translate(localeKey, localeKey);
      if (msg == localeKey) msg = error.detail.message || '';
      if (msg) {
        _UIManager.UIManager.instance().displayMessage({
          text: msg,
          type: 'info'
        });
      }
      if (error.detail.status == 400) {
        if (error.detail.code == 100 || error.detail.code == 101) {
          navigate('/login');
        }
        return;
      }
      if (error.detail.status < 200 || error.detail.status >= 300) {
        if (configService.isProd()) {
          _UIManager.UIManager.instance().displayMessage({
            text: localeService.translate('lib.error'),
            type: 'danger'
          });
        } else {
          _UIManager.UIManager.instance().displayMessage({
            text: error.detail.message + '\n\n' + (error.detail.statusText ? error.detail.statusText.message || error.detail.statusText : ''),
            type: 'danger'
          });
        }
      }
      return;
    }
    if (configService.isProd()) {
      _UIManager.UIManager.instance().displayMessage({
        text: localeService.translate('lib.error'),
        type: 'danger'
      });
    } else {
      _UIManager.UIManager.instance().displayMessage({
        text: e.reason ? e.reason.message + '\n\n' + e.reason.stack : 'error',
        type: 'danger'
      });
    }
  }
  function apiResponse(result) {
    var localeKey = 'lib.api.code' + result.code;
    var msg = _LocaleService.LocaleService.instance().translate(localeKey);
    if (msg == localeKey) msg = result.message || '';
    if (msg) {
      _UIManager.UIManager.instance().displayMessage({
        text: msg,
        type: 'info'
      });
    }
  }
  (0, _react.useEffect)(function () {
    window.addEventListener('unhandledrejection', function (e) {
      console.log('unhandledrejection listener');
      globalErrorHandler(e);
    });
    window.addEventListener('error', function (e) {
      console.log('error listener');
      globalErrorHandler(e);
    });
    _BaseBusinessLogic.BaseBusinessLogicService.instance().apiResponse.subscribe(apiResponse);
  }, []);
  return /*#__PURE__*/_react.default.createElement("div", null);
}
var ErrorBoundary = /*#__PURE__*/function (_React$Component) {
  _inherits(ErrorBoundary, _React$Component);
  var _super = _createSuper(ErrorBoundary);
  function ErrorBoundary() {
    var _this;
    _classCallCheck(this, ErrorBoundary);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "state", {
      hasError: false
    });
    return _this;
  }
  _createClass(ErrorBoundary, [{
    key: "componentDidCatch",
    value: function componentDidCatch(error, info) {
      console.log('error', error, info);
      this.error = error;
      this.info = info;
      this.forceUpdate();
    }
  }, {
    key: "render",
    value: function render() {
      if (this.state.hasError) {
        if (_ConfigService.ConfigService.instance().isProd()) return /*#__PURE__*/_react.default.createElement("h1", null, "Something went wrong.");
        return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("h2", null, "ERROR"), /*#__PURE__*/_react.default.createElement("pre", null, JSON.stringify(this.error, null, 4)), /*#__PURE__*/_react.default.createElement("hr", null), /*#__PURE__*/_react.default.createElement("pre", null, this.info && this.info.componentStack && this.info.componentStack));
      }
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, this.props.children);
    }
  }], [{
    key: "getDerivedStateFromError",
    value: function getDerivedStateFromError(error) {
      return {
        hasError: true
      };
    }
  }]);
  return ErrorBoundary;
}(_react.default.Component);
exports.ErrorBoundary = ErrorBoundary;
//# sourceMappingURL=ErrorBoundary.js.map