"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DetailPageView = DetailPageView;
var _react = _interopRequireWildcard(require("react"));
var _reactRouterDom = require("react-router-dom");
var _material = require("@mui/material");
var _Edit = _interopRequireDefault(require("@mui/icons-material/Edit"));
var _UIManager = require("../services/UIManager");
var _index = require("../../ui/panel/components/form/index");
var _DetailComponentProp = require("../../data/lib/DetailComponentProp");
var _LibService = require("../services/LibService");
var _LocaleService = require("../services/LocaleService");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function DetailPageView(props) {
  var _useParams = (0, _reactRouterDom.useParams)(),
    id = _useParams.id;
  var _useState = (0, _react.useState)(0),
    _useState2 = _slicedToArray(_useState, 2),
    tabIndex = _useState2[0],
    setTabIndex = _useState2[1];
  var isHideActions = _UIManager.UIManager.instance().isHideActions() || props.hideActions;
  var navigate = (0, _reactRouterDom.useNavigate)();
  function renderFields(fields) {
    var xs = 6;
    return /*#__PURE__*/_react.default.createElement(_material.Grid, {
      container: true,
      spacing: 3
    }, fields.map(function (field, i) {
      // @ts-ignore
      xs = props.columnCount ? 12 / props.columnCount : field.fieldSize || 6;
      if (xs > 12 || xs < 1) xs = 6;
      var path = _LibService.LibService.instance().getPath(field.prefix, field.name);
      return /*#__PURE__*/_react.default.createElement(_material.Grid, {
        item: true,
        key: field.name,
        xs: xs
      }, /*#__PURE__*/_react.default.createElement(field.detailComponent || _index.allInputs.DetailFieldComponent, new _DetailComponentProp.DetailComponentProp({
        key: field.name,
        pageConfig: props.pageConfig,
        fields: fields,
        field: field,
        data: props.data,
        rowData: _LibService.LibService.instance().getValue(props.data, path),
        className: 'detail-field'
      })));
    }));
  }
  var handleTabChange = function handleTabChange(event, newValue) {
    setTabIndex(newValue);
  };
  if (status == 'loading') return _UIManager.UIManager.instance().renderLoading();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "detail-container"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "list-actions"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "container-left"
  }, !isHideActions && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.leftComponents)), /*#__PURE__*/_react.default.createElement("div", null), /*#__PURE__*/_react.default.createElement("div", {
    className: "container-right"
  }, !isHideActions && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.rightComponents))), /*#__PURE__*/_react.default.createElement(_material.Card, null, /*#__PURE__*/_react.default.createElement(_material.CardActions, null, !_UIManager.UIManager.instance().isHideActions() && props.pageConfig.edit && /*#__PURE__*/_react.default.createElement(_material.Button, {
    variant: "contained",
    color: "primary",
    component: _reactRouterDom.Link,
    to: _UIManager.UIManager.instance().getLink('edit', props.pageConfig, {
      id: id,
      preserveQueryParams: true
    }),
    startIcon: /*#__PURE__*/_react.default.createElement(_Edit.default, null)
  }, _LocaleService.LocaleService.instance().translate('lib.action.edit')), /*#__PURE__*/_react.default.createElement(_material.Button, {
    type: "button",
    variant: "contained",
    color: "inherit",
    onClick: function onClick(_) {
      return navigate(-1);
    },
    className: "ml20"
  }, _LocaleService.LocaleService.instance().translate('lib.action.back'))), /*#__PURE__*/_react.default.createElement(_material.CardContent, null, props.tabs && /*#__PURE__*/_react.default.createElement(_material.Tabs, {
    value: tabIndex,
    onChange: handleTabChange,
    "aria-label": "tabs"
  }, props.tabs.map(function (tab, i) {
    return /*#__PURE__*/_react.default.createElement(_material.Tab, {
      key: i,
      icon: tab.icon,
      label: _LocaleService.LocaleService.instance().translate(tab.label, tab.label),
      id: "tab-".concat(i),
      "aria-controls": "tab-".concat(i)
    });
  })), props.tabs && props.tabs.map(function (tab, i) {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: i,
      role: "tabpanel",
      hidden: tabIndex !== i,
      id: "tabpanel-".concat(i),
      "aria-labelledby": "tab-".concat(i)
    }, /*#__PURE__*/_react.default.createElement(_material.Box, {
      p: 3
    }, renderFields(tab.fields)));
  }), props.fields && renderFields(props.fields)), /*#__PURE__*/_react.default.createElement(_material.CardActions, null, !_UIManager.UIManager.instance().isHideActions() && props.pageConfig.edit && /*#__PURE__*/_react.default.createElement(_material.Button, {
    variant: "contained",
    color: "primary",
    component: _reactRouterDom.Link,
    to: _UIManager.UIManager.instance().getLink('edit', props.pageConfig, {
      id: id,
      preserveQueryParams: true
    }),
    startIcon: /*#__PURE__*/_react.default.createElement(_Edit.default, null)
  }, _LocaleService.LocaleService.instance().translate('lib.action.edit')), /*#__PURE__*/_react.default.createElement(_material.Button, {
    type: "button",
    variant: "contained",
    color: "inherit",
    onClick: function onClick(_) {
      return navigate(-1);
    },
    className: "ml20"
  }, _LocaleService.LocaleService.instance().translate('lib.action.back')))));
}
//# sourceMappingURL=DetailPageView.js.map