"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultRequestOptions = exports.RequestHelper = void 0;
var _axios = _interopRequireDefault(require("axios"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/**
 * default http parameters
 */
var httpOptions = {
  timeout: 60000,
  uploadTimeout: 300000,
  headers: {
    Accept: 'application/json',
    'Content-Type': 'application/json'
  }
};
var defaultRequestOptions = {
  withCredentials: true
};

/**
 * A httpClient helper
 */
exports.defaultRequestOptions = defaultRequestOptions;
var RequestHelper = /*#__PURE__*/function () {
  /**
   * Base Url
   */

  function RequestHelper(url) {
    _classCallCheck(this, RequestHelper);
    this.URL = url;
  }
  _createClass(RequestHelper, [{
    key: "request",
    value:
    /**
     * make a request to url
     * @param method method type
     * @param endpoint endpoint address
     * @param data is the data to be sent as the request body
     * @param parameters are the URL parameters to be sent with the request
     * @param headers headers
     */
    function request(method, endpoint, data, parameters, headers, options) {
      if (!options) options = {};
      if (!options.params) options.params = {};
      if (!options.headers) options.headers = {};
      if (parameters) {
        for (var key in parameters) {
          options.params[key] = parameters[key];
        }
      }
      if (!headers) {
        headers = {};
      }
      var timeout = httpOptions.timeout;
      if (data && data.isFileUpload) {
        // var formData = new FormData();
        // for (const key in data) {
        //   formData.append(key, data[key]);
        // }
        // data = formData;
        data = this._convertModelToFormData(data, '');
        headers['Content-Type'] = 'multipart/form-data';
        timeout = 0;
      }
      options = _objectSpread(_objectSpread(_objectSpread({}, {
        method: method,
        url: endpoint,
        baseURL: this.URL,
        data: data,
        timeout: timeout
      }), defaultRequestOptions), options);
      var axiosInstance = _axios.default.create({
        headers: headers
      });
      return axiosInstance.request(options);
    }
  }, {
    key: "_getFormDataKey",
    value: function _getFormDataKey(key0, key1) {
      return !key0 ? key1 : "".concat(key0, "[").concat(key1, "]");
    }
  }, {
    key: "_convertModelToFormData",
    value: function _convertModelToFormData(model, key, frmData) {
      var _this = this;
      var formData = frmData || new FormData();
      if (!model) return formData;
      if (model instanceof Date) {
        formData.append(key, model.toISOString());
      } else if (model instanceof Array) {
        model.forEach(function (element, i) {
          _this._convertModelToFormData(element, _this._getFormDataKey(key, i), formData);
        });
      } else if (_typeof(model) === 'object' && !(model instanceof File)) {
        for (var propertyName in model) {
          if (!model.hasOwnProperty(propertyName) || !model[propertyName]) continue;
          this._convertModelToFormData(model[propertyName], this._getFormDataKey(key, propertyName), formData);
        }
      } else {
        formData.append(key, model);
      }
      return formData;
    }
  }], [{
    key: "instance",
    value: function instance(url) {
      return new RequestHelper(url);
    }
  }]);
  return RequestHelper;
}();
exports.RequestHelper = RequestHelper;
//# sourceMappingURL=RequestHelper.js.map