"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StaticService = void 0;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/**
 * Stores static values, access local storage
 */
var StaticService = /*#__PURE__*/function () {
  function StaticService() {
    _classCallCheck(this, StaticService);
  }
  _createClass(StaticService, [{
    key: "getRoles",
    value:
    /**
     * Get user roles
     */
    function getRoles() {
      if (!this.roles) {
        try {
          var _localStorage$getItem;
          this.roles = JSON.parse((_localStorage$getItem = localStorage.getItem("roles")) !== null && _localStorage$getItem !== void 0 ? _localStorage$getItem : "");
        } catch (error) {}
        if (!this.roles) this.roles = {};
      }
      return this.roles;
    }

    /**
     * Set user roles
     */
  }, {
    key: "setRoles",
    value: function setRoles(value) {
      if (!value) return;
      this.roles = value;
    }

    /**
     * Is logged in?
     */
  }, {
    key: "isLoggedIn",
    value: function isLoggedIn() {
      return !!localStorage.getItem(StaticService.TOKEN_NAME);
    }

    /**
     * Is super user
     */
  }, {
    key: "isSuper",
    value: function isSuper() {
      return localStorage.getItem("isSuper") == "true";
    }

    /**
     * Get admin panel token
     */
  }, {
    key: "getToken",
    value: function getToken() {
      return localStorage.getItem(StaticService.TOKEN_NAME);
    }

    /**
     * Store login data
     * @param data login data
     */
  }, {
    key: "login",
    value: function login(email, data) {
      localStorage.setItem("email", email);
      localStorage.setItem(StaticService.TOKEN_NAME, data.token);
      localStorage.setItem("theme", data.theme || "1");
      localStorage.setItem("name", data.name);
      localStorage.setItem("isSuper", data.isSuper);
      var roles = {};
      if (data.roles) {
        for (var i = 0; i < data.roles.length; i++) {
          var role = data.roles[i];
          roles[role.moduleKey + "_" + role.pageKey + "_" + role.actionKey] = true;
        }
      }
      localStorage.setItem("roles", JSON.stringify(roles));
    }

    /**
     * Clear login data
     */
  }, {
    key: "logout",
    value: function logout() {
      localStorage.clear();
    }

    /**
     * Set current locale
     * @param locale locale
     */
  }, {
    key: "setCurrentLang",
    value: function setCurrentLang(locale) {
      localStorage.setItem("locale", locale);
    }

    /**
     * Get current language
     */
  }, {
    key: "getCurrentLang",
    value: function getCurrentLang() {
      return localStorage.getItem("locale");
    }

    /**
     * Get current email
     */
  }, {
    key: "getUserEmail",
    value: function getUserEmail() {
      return localStorage.getItem("email") || "";
    }
    /**
     * Get current username
     */
  }, {
    key: "getUserName",
    value: function getUserName() {
      return localStorage.getItem("name") || "";
    }

    /**
     * Get current user theme
     */
  }, {
    key: "getUserTheme",
    value: function getUserTheme() {
      return localStorage.getItem("theme");
    }

    /**
     * Set user theme
     * @param theme theme
     */
  }, {
    key: "setUserTheme",
    value: function setUserTheme(theme) {
      localStorage.setItem("theme", theme);
    }

    /**
     * Set username
     */
  }, {
    key: "setUserName",
    value: function setUserName(name) {
      localStorage.setItem("name", name);
    }

    /**
     * Clear all static values
     */
  }, {
    key: "clear",
    value: function clear() {
      this.roles = null;
      this.localCurrency = null;
      this.logout();
    }
  }], [{
    key: "instance",
    value: function instance() {
      return this._instance;
    }
  }]);
  return StaticService;
}();
exports.StaticService = StaticService;
_defineProperty(StaticService, "TOKEN_NAME", "PanelToken");
_defineProperty(StaticService, "_instance", new StaticService());
//# sourceMappingURL=StaticService.js.map