"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DetailFieldComponent = DetailFieldComponent;
var _react = _interopRequireDefault(require("react"));
var _Chip = _interopRequireDefault(require("@mui/material/Chip"));
var _Grid = _interopRequireDefault(require("@mui/material/Grid"));
var _LibService = require("../../../../business/services/LibService");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function DetailFieldComponent(props) {
  var val = props.rowData;
  var field = props.field;
  var path = _LibService.LibService.instance().getPath(field.prefix, field.name);
  if (field.enumName) {
    val = _LibService.LibService.instance().translatEnum(field.enum, field.enumName, val);
  } else if (field.reference) {
    var relatedData = props.data[field.reference.dataField];
    if (relatedData) {
      if (field.isList) {
        val = relatedData.map(function (item, i) {
          var _item$field$reference;
          return /*#__PURE__*/_react.default.createElement(_Chip.default, {
            key: i,
            label: (_item$field$reference = item[field.reference.filterField]) !== null && _item$field$reference !== void 0 ? _item$field$reference : ''
          });
        });
      } else {
        val = relatedData[field.reference.filterField];
      }
    }
  }
  return /*#__PURE__*/_react.default.createElement(_Grid.default, {
    container: true,
    spacing: 3,
    className: "detail-grid-field"
  }, /*#__PURE__*/_react.default.createElement(_Grid.default, {
    item: true,
    xs: 4,
    className: "detail-grid-field-label"
  }, /*#__PURE__*/_react.default.createElement("strong", null, _LibService.LibService.instance().getFieldLabel(props.pageConfig, field.name))), /*#__PURE__*/_react.default.createElement(_Grid.default, {
    item: true,
    xs: 8,
    className: "detail-grid-field-value"
  }, /*#__PURE__*/_react.default.createElement("span", null, ":", ' ', props.isLink && /*#__PURE__*/_react.default.createElement("a", {
    href: val,
    target: "_blank"
  }, val), !props.isLink && (val === undefined ? '' : " ".concat(val)))));
}
//# sourceMappingURL=DetailFieldComponent.js.map