"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DialogComponent = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _react = _interopRequireDefault(require("react"));
var _material = require("@mui/material");
var _Close = _interopRequireDefault(require("@mui/icons-material/Close"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/**
 * Dialog action data
 */
/**
 * Dialog data
 */
/**
 * Onka dialog component
 */
var DialogComponent = /*#__PURE__*/function (_React$Component) {
  _inherits(DialogComponent, _React$Component);
  var _super = _createSuper(DialogComponent);
  function DialogComponent(props) {
    var _this;
    _classCallCheck(this, DialogComponent);
    _this = _super.call(this, props);
    _defineProperty(_assertThisInitialized(_this), "state", {
      show: false
    });
    _defineProperty(_assertThisInitialized(_this), "options", {});
    props.onRef && props.onRef(_assertThisInitialized(_this));
    return _this;
  }

  /**
   * Prepare data
   */
  _createClass(DialogComponent, [{
    key: "init",
    value: function init() {
      var _this2 = this;
      if (this.data.url) {
        if (!this.data.dialogId) this.data.dialogId = new Date().getTime();
        var baseUrl = this.data.url + '?dialog=1&dialogId=' + this.data.dialogId;
        if (this.data.addSelectField) baseUrl += '&selectField=1';
        if (this.data.hideActions) baseUrl += '&hideActions=1';
        if (this.data.hideFilters) baseUrl += '&hideFilters=1';
        if (this.data.hideDefaultFilters) baseUrl += '&hideDefaultFilters=1';
        if (this.data.toolbar) baseUrl += '&toolbar=1';
        if (this.data.redirect) baseUrl += '&redirect=' + this.data.redirect;
        if (this.data.defaultValues) baseUrl += '&defaultValues=' + JSON.stringify(this.data.defaultValues);
        if (this.data.title) baseUrl += '&title=' + this.data.title;
        this.url = baseUrl; // bypassSecurityTrustResourceUrl
      }
      // @ts-ignore
      window['iframeCallback' + this.data.dialogId] = function (record) {
        _this2.close(record);
      };
    }
  }, {
    key: "close",
    value: function close(action) {
      this.setState({
        show: false
      });
      this.data = {};
      this.options = {};
      this.url = '';
      this.afterClosed && this.afterClosed(action);
    }
  }, {
    key: "open",
    value: function open(config, afterClosed, options) {
      if (!options) options = {
        hasBackdrop: true
      };
      if (options.fullScreen) {
        config.width = '100vw';
        config.height = '100vh';
      } else if (options.medium) {
        config.width = '30vw';
        config.height = '40vh';
      } else if (options.small) {
        config.width = '20vw';
        config.height = '20vh';
      }
      if (!config.width) config.width = '95vw';
      if (!config.height) config.height = '90vh';
      this.data = config;
      this.afterClosed = afterClosed;
      this.options = options || {};
      this.init();
      this.setState({
        show: true
      });
    }
  }, {
    key: "_inner",
    value: function _inner() {
      var _this3 = this;
      var contentIsComp = _typeof(this.data.content) == 'object';
      if (contentIsComp) {
        if (this.options.wrapContent) {
          return /*#__PURE__*/_react.default.createElement("div", {
            className: "dialog-content"
          }, this.options.closable && /*#__PURE__*/_react.default.createElement("a", {
            className: "close",
            onClick: function onClick(e) {
              return _this3.close();
            }
          }, /*#__PURE__*/_react.default.createElement(_Close.default, null)), this.data.content);
        }
        return this.data.content;
      }
      return /*#__PURE__*/_react.default.createElement("div", {
        className: "dialog-content"
      }, this.options.closable && /*#__PURE__*/_react.default.createElement("a", {
        className: "close",
        onClick: function onClick(e) {
          return _this3.close();
        }
      }, /*#__PURE__*/_react.default.createElement(_Close.default, null)), this.data.title && /*#__PURE__*/_react.default.createElement("h1", {
        className: "dialog-title"
      }, this.data.title), this.data.content && /*#__PURE__*/_react.default.createElement("div", {
        className: "dialog-desc"
      }, this.data.content), this.data.actions && /*#__PURE__*/_react.default.createElement("div", {
        className: "dialog-actions"
      }, this.data.actions.map(function (action, i) {
        return /*#__PURE__*/_react.default.createElement(_material.Button, {
          key: i,
          onClick: function onClick(e) {
            return _this3.close(action);
          },
          color: action.theme,
          variant: "outlined"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "pl10 pr10"
        }, action.label));
      })), this.url && /*#__PURE__*/_react.default.createElement("iframe", {
        style: {
          overflow: 'hidden',
          height: '100%',
          width: '100%'
        },
        height: "100%",
        width: "100%",
        frameBorder: 0,
        src: this.url
      }));
    }
  }, {
    key: "render",
    value: function render() {
      var _this4 = this;
      if (!this.state.show) return null;
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, this.options.hasBackdrop && /*#__PURE__*/_react.default.createElement("div", {
        className: 'overlay',
        onClick: function onClick(e) {
          return _this4.options.closable && _this4.close();
        }
      }), /*#__PURE__*/_react.default.createElement("div", {
        className: 'dialog fullscreen ' + (this.options.hasBackdrop ? 'overlay' : ''),
        style: {
          alignItems: this.options.alignItems || 'center',
          justifyContent: this.options.justifyContent || 'center'
        }
      }, /*#__PURE__*/_react.default.createElement("div", {
        className: "dialog-container",
        style: {
          width: this.data.width,
          minHeight: this.data.height,
          height: this.url || !this.options.expandableContent ? this.data.height : 'unset'
        }
      }, this._inner())));
    }
  }]);
  return DialogComponent;
}(_react.default.Component);
exports.DialogComponent = DialogComponent;
_defineProperty(DialogComponent, "propTypes", {
  onRef: _propTypes.default.func.isRequired,
  mode: _propTypes.default.oneOf(['dialog', 'drawer']).isRequired
});
//# sourceMappingURL=DialogComponent.js.map