"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UpsertPageView = UpsertPageView;
var _react = _interopRequireWildcard(require("react"));
var _material = require("@mui/material");
var _reactRouterDom = require("react-router-dom");
var _form = require("../../ui/panel/components/form");
var _InputComponentProp = require("../../data/lib/InputComponentProp");
var _LocaleService = require("../services/LocaleService");
var _LibService = require("../services/LibService");
var _UIManager = require("../services/UIManager");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function UpsertPageView(props) {
  var _useState = (0, _react.useState)(0),
    _useState2 = _slicedToArray(_useState, 2),
    tabIndex = _useState2[0],
    setTabIndex = _useState2[1];
  var isHideActions = _UIManager.UIManager.instance().isHideActions() || props.hideActions;

  // const onChange = (field: PageField, value: any) => {
  //   const path = LibService.instance().getPath(field.prefix, field.name);
  //   if (!field.reference) {
  //     props.handleChanges([{ name: path, value }]);
  //     return;
  //   }
  //   const refPath = LibService.instance().getPath(field.prefix, field.reference.dataField);
  //   props.handleChanges([
  //     { name: refPath, value },
  //     { name: path, value: value instanceof Array ? value?.map((x) => x.id) : value?.id },
  //   ]);
  // };

  var FieldComponent = (0, _react.useCallback)(function (fieldCompProps) {
    var inputProps = new _InputComponentProp.InputComponentProp({
      key: fieldCompProps.field.name,
      pageConfig: props.pageConfig,
      fields: fieldCompProps.fields,
      field: fieldCompProps.field,
      isEdit: props.isEdit,
      className: props.isEdit ? 'edit-field' : 'create-field',
      form: props.form,
      path: _LibService.LibService.instance().getPath(fieldCompProps.field.prefix, fieldCompProps.field.name),
      formKey: props.formKey
    });
    if (props.isEdit && fieldCompProps.field.editComponent) return /*#__PURE__*/_react.default.createElement(fieldCompProps.field.editComponent, inputProps);
    if (!props.isEdit && fieldCompProps.field.createComponent) return /*#__PURE__*/_react.default.createElement(fieldCompProps.field.createComponent, inputProps);
    return /*#__PURE__*/_react.default.createElement(_form.allInputs.InputComponent, inputProps);
  }, [props.pageConfig]);
  var renderFields = (0, _react.useCallback)(function (fields) {
    if (props.template) {
      var items = {};
      fields.forEach(function (field) {
        items[field.name] = /*#__PURE__*/_react.default.createElement(FieldComponent, {
          key: field.name,
          fields: fields,
          field: field
        });
      });
      return props.template(items);
    }
    var size = 6;
    return /*#__PURE__*/_react.default.createElement(_material.Grid, {
      container: true,
      spacing: 3
    }, fields.map(function (field) {
      // @ts-ignore
      size = props.columnCount ? 12 / props.columnCount : field.fieldSize || 6;
      if (size > 12 || size < 1) size = 6;
      return /*#__PURE__*/_react.default.createElement(_material.Grid, {
        item: true,
        key: field.name,
        md: size,
        xs: 12
      }, /*#__PURE__*/_react.default.createElement(FieldComponent, {
        key: field.name,
        fields: fields,
        field: field
      }));
    }));
  }, [props.columnCount]);
  var handleTabChange = function handleTabChange(event, newValue) {
    setTabIndex(newValue);
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "upsert-container"
  }, props.loading && _UIManager.UIManager.instance().renderLoading(), /*#__PURE__*/_react.default.createElement("form", {
    onSubmit: function onSubmit(e) {
      return props.form.handleSubmit(props.formKey, e);
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "list-actions"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "container-left"
  }, !isHideActions && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.leftComponents)), /*#__PURE__*/_react.default.createElement("div", null), /*#__PURE__*/_react.default.createElement("div", {
    className: "container-right"
  }, !isHideActions && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.rightComponents))), /*#__PURE__*/_react.default.createElement(_material.Card, null, /*#__PURE__*/_react.default.createElement(_material.CardHeader, null), /*#__PURE__*/_react.default.createElement(_material.CardActions, {
    style: {
      justifyContent: 'flex-start'
    }
  }, /*#__PURE__*/_react.default.createElement(_material.Button, {
    type: "submit",
    variant: "contained",
    color: "primary"
  }, _LocaleService.LocaleService.instance().translate('lib.action.save')), /*#__PURE__*/_react.default.createElement(_material.Button, {
    type: "button",
    variant: "contained",
    color: "inherit",
    component: _reactRouterDom.Link,
    to: _UIManager.UIManager.instance().getLink('list', props.pageConfig, {
      preserveQueryParams: true
    }),
    className: "ml20"
  }, _LocaleService.LocaleService.instance().translate('lib.action.back'))), /*#__PURE__*/_react.default.createElement(_material.CardContent, null, props.tabs && /*#__PURE__*/_react.default.createElement(_material.Tabs, {
    value: tabIndex,
    onChange: handleTabChange,
    "aria-label": "tabs"
  }, props.tabs.map(function (tab, i) {
    return /*#__PURE__*/_react.default.createElement(_material.Tab, {
      key: i,
      icon: tab.icon,
      label: _LocaleService.LocaleService.instance().translate(tab.label, tab.label),
      id: "tab-".concat(i),
      "aria-controls": "tab-".concat(i)
    });
  })), props.tabs && props.tabs.map(function (tab, i) {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: i,
      role: "tabpanel",
      hidden: tabIndex !== i,
      id: "tabpanel-".concat(i),
      "aria-labelledby": "tab-".concat(i)
    }, /*#__PURE__*/_react.default.createElement(_material.Box, {
      p: 3
    }, renderFields(tab.fields)));
  }), props.fields && renderFields(props.fields)), /*#__PURE__*/_react.default.createElement(_material.CardActions, {
    style: {
      justifyContent: 'flex-start'
    }
  }, /*#__PURE__*/_react.default.createElement(_material.Button, {
    type: "submit",
    variant: "contained",
    color: "primary"
  }, _LocaleService.LocaleService.instance().translate('lib.action.save')), /*#__PURE__*/_react.default.createElement(_material.Button, {
    type: "button",
    variant: "contained",
    color: "inherit",
    component: _reactRouterDom.Link,
    to: _UIManager.UIManager.instance().getLink('list', props.pageConfig, {
      preserveQueryParams: true
    }),
    className: "ml20"
  }, _LocaleService.LocaleService.instance().translate('lib.action.back'))))));
}
//# sourceMappingURL=useUpsertPageView.js.map