import { Method, AxiosRequestConfig, AxiosPromise } from 'axios';
import { Parameters } from '../../data/lib/Types';
export declare const defaultRequestOptions: AxiosRequestConfig;
/**
 * A httpClient helper
 */
export declare class RequestHelper {
    /**
     * Base Url
     */
    URL: string;
    private constructor();
    static instance(url: string): RequestHelper;
    /**
     * make a request to url
     * @param method method type
     * @param endpoint endpoint address
     * @param data is the data to be sent as the request body
     * @param parameters are the URL parameters to be sent with the request
     * @param headers headers
     */
    request<T>(method: Method, endpoint: string, data?: any, parameters?: Parameters, headers?: Parameters, options?: AxiosRequestConfig): AxiosPromise<T>;
    _getFormDataKey(key0: any, key1: any): string;
    _convertModelToFormData(model: any, key: string, frmData?: FormData): FormData;
}
