import { Parameters, ParametersFunc } from '../../data/lib/Types';
import { PageField } from '../../data/lib/PageField';
import { Subscription } from 'rxjs';
export interface IUseFormProps {
    formKey: string;
    fields: PageField[];
    initialValues: any;
    onSubmit?: ParametersFunc;
    onAfterChanges?: Function;
}
export type HandleChangeType = {
    name: string;
    value: any;
};
export interface UseFormResponse {
    getFormData: (formKey: string) => Parameters;
    updateFormData: (formKey: string, data: Parameters) => void;
    handleSubmit: (formKey: string, e: any) => void;
    getErrors: (formKey: string) => Parameters;
    handleChange: (formKey: string, name: string) => (value: any) => void;
    handleChanges: (formKey: string, values: HandleChangeType[]) => void;
    subscribe: (formKey: string, func: ParametersFunc) => Subscription;
    unsubscribe: (subs: Subscription) => void;
    subscribeError: (formKey: string, func: ParametersFunc) => Subscription;
    unsubscribeError: (subs: Subscription) => void;
    getValue: (formKey: string, path: string) => any;
    getError: (formKey: string, path: string) => any;
    initForm: (props: IUseFormProps) => void;
    initInitialValues: (formKey: string) => void;
    clear: () => void;
}
export declare function useForm(): UseFormResponse;
export interface IUseFormHelperProps {
    formKey: string;
    form: UseFormResponse;
    path: string;
    defaultValue?: any;
    preSetValue?: (rowData: any, defaultValue: any) => any;
}
export interface UseFormHelperResponse {
    value: any;
    error: string;
    setValue: (value: any) => void;
}
export declare function useFormHelper(props: IUseFormHelperProps): UseFormHelperResponse;
