/**
 * Account Business Logic, contains user account related functions
 */
export declare class AccountBusinessLogic {
    private business;
    private staticService;
    loginUrl: string;
    logoutUrl: string;
    private constructor();
    private static _instance;
    static instance(): AccountBusinessLogic;
    /**
     * Is user logged in?
     */
    isLoggedIn(): boolean;
    /**
     * Logout user
     */
    logout(): Promise<any>;
    /**
     * Login user
     * @param email email
     * @param password password
     */
    login(email: string, password: string): Promise<Boolean>;
}
