"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AccountBusinessLogic = void 0;
var _BaseBusinessLogic = require("./BaseBusinessLogic");
var _StaticService = require("./StaticService");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/**
 * Account Business Logic, contains user account related functions
 */
var AccountBusinessLogic = /*#__PURE__*/function () {
  function AccountBusinessLogic() {
    _classCallCheck(this, AccountBusinessLogic);
    _defineProperty(this, "loginUrl", 'AdminApi/public/login');
    _defineProperty(this, "logoutUrl", 'AdminApi/AdminUserSecure/logout');
    this.business = _BaseBusinessLogic.BaseBusinessLogicService.instance();
    this.staticService = _StaticService.StaticService.instance();
  }
  _createClass(AccountBusinessLogic, [{
    key: "isLoggedIn",
    value:
    /**
     * Is user logged in?
     */
    function isLoggedIn() {
      return this.staticService.isLoggedIn();
    }

    /**
     * Logout user
     */
  }, {
    key: "logout",
    value: function logout() {
      var _this = this;
      return this.business.request('POST', this.logoutUrl, {}).then(function (result) {
        return true;
      }).finally(function () {
        _this.staticService.logout();
      });
    }

    /**
     * Login user
     * @param email email
     * @param password password
     */
  }, {
    key: "login",
    value: function login(email, password) {
      var _this2 = this;
      return this.business.request('POST', this.loginUrl, {
        email: email,
        password: password
      }).then(function (result) {
        if (!result.value || !result.value.token) throw Error('API problem. No token!');
        _this2.staticService.login(email, result.value);
        return true;
      });
    }
  }], [{
    key: "instance",
    value: function instance() {
      if (!this._instance) {
        this._instance = new AccountBusinessLogic();
      }
      return this._instance;
    }
  }]);
  return AccountBusinessLogic;
}();
exports.AccountBusinessLogic = AccountBusinessLogic;
//# sourceMappingURL=AccountBusinessLogic.js.map