import { ApiSearchRequest } from "../../data/api/ApiRequest";
import { ServiceListResult, ServiceResult } from "../../data/api/ServiceResult";
import { Method } from "axios";
import { Parameters } from '../../data/lib/Types';
/**
 * Api Business Logic
 */
export declare class ApiBusinessLogic {
    private business;
    constructor();
    /**
     * Search data
     * @param route route
     * @param request post data
     */
    search(route: string, request: ApiSearchRequest): Promise<ServiceListResult<any>>;
    /**
     * Get detail of the entity
     * @param route route
     * @param id id of item
     */
    get(route: any, id: any): Promise<ServiceResult<any>>;
    /**
     * Gets key-value list
     * @param route route
     * @param id id of item
     */
    gets(route: any, ids: any[]): Promise<ServiceResult<any>>;
    /**
     * Create new entity
     * @param route route
     * @param data entity data
     */
    new(route: any, data: any): Promise<ServiceResult<any>>;
    /**
     * Update entity
     * @param route route
     * @param data entity data
     */
    update(route: any, data: any): Promise<ServiceResult<any>>;
    /**
     * Update entity
     * @param route route
     * @param data entity data
     */
    updateOnly(route: any, data: any): Promise<ServiceResult<any>>;
    /**
     * Update or Create entity
     * @param isEdit true if it's update
     * @param route route
     * @param data entity data
     */
    upsert(isEdit: boolean, route: any, data: any): Promise<ServiceResult<any>>;
    /**
     * delete entity
     * @param route route
     * @param id entity id
     */
    delete(route: any, id: any): Promise<ServiceResult<any>>;
    request(method: Method, route: string, data: any, parameters?: Parameters, headers?: Parameters): Promise<ServiceResult<any>>;
}
