import { PageConfig } from '../../data/lib/PageConfig';
import { Subject, BehaviorSubject } from 'rxjs';
import { PageType } from '../../data/lib/Types';
import { PageField } from '../../data/lib/PageField';
/**
 * Contains business related the admin system
 */
export declare class LibService {
    private static _instance;
    static instance(): LibService;
    private localeService;
    constructor();
    /**
     * Selected last page
     */
    selectedPage: BehaviorSubject<PageConfig>;
    /**
     * Drawer state
     */
    drawerState: BehaviorSubject<boolean>;
    /**
     * Emits to refresh data
     */
    refreshPage: Subject<any>;
    /**
     * Get translatation by key
     */
    translate(key: string, defaultValue?: string, formatParams?: object): string | any;
    /**
     * Get translated enum
     * @param enumObj enum object
     * @param enumName enum name
     * @param val value
     */
    translatEnum(enumObj: {
        [x: string]: any;
    }, enumName: any, val: any): any;
    /**
     * Get translated text by enum key
     * @param enumName enum name
     * @param key key
     */
    translatEnumKey(enumName: string, key: string): any;
    /**
     * Get route translated labels
     */
    getRouteLabel(pageConfig?: PageConfig, name?: string): string;
    getFieldLabel(pageConfig: PageConfig, field: string): string;
    loadableComp(imp: () => Promise<any>, key: string): import("@loadable/component").LoadableClassComponent<any>;
    isSuperAdmin(): boolean;
    hasAccess(moduleKey: string, pageKey: string, actionKey: string): boolean;
    checkConfigPermision(pageConfig: PageConfig): PageConfig;
    getPath(prefix?: string, name?: string): string;
    getFieldValue(data: any, prefix?: string, name?: string): any;
    getValue(data: any, path: string): any;
    setValue(data: any, path: string, value: any): any;
    filterFields(pageFields: PageField[], pageType: PageType, prefix?: string): PageField[];
}
