export type LanguagelistType = {
    [x: string]: () => Promise<any>;
};
/**
 * Localization service
 */
export declare class LocaleService {
    /**
     * Json content of l10n
     */
    jsonContent: {};
    private static _instance;
    static instance(): LocaleService;
    /**
     * Language list
     */
    langList: LanguagelistType;
    private constructor();
    getCurrentLang(): string | null;
    /**
     * Load default language
     */
    loadDefaultLang(): Promise<any>;
    /**
     * Change selected language
     * @param lang language
     */
    changeLang(lang: string | any): Promise<any>;
    /**
     * get content by key
     * @param key key
     * @param defaultValue default value
     */
    get(key: string, defaultValue?: string): any;
    /**
     * Get translation by key
     * @param key key
     * @param defaultValue default value
     * @param formatParams parameters to replace, like; { title: 'Hello' }
     */
    translate(key: string, defaultValue?: string, formatParams?: object): string;
    private getValue;
}
