/**
 * Stores static values, access local storage
 */
export declare class StaticService {
    static TOKEN_NAME: string;
    roles: any;
    localCurrency: any;
    private constructor();
    private static _instance;
    static instance(): StaticService;
    /**
     * Get user roles
     */
    getRoles(): any;
    /**
     * Set user roles
     */
    setRoles(value: any): void;
    /**
     * Is logged in?
     */
    isLoggedIn(): boolean;
    /**
     * Is super user
     */
    isSuper(): boolean;
    /**
     * Get admin panel token
     */
    getToken(): string;
    /**
     * Store login data
     * @param data login data
     */
    login(email: string, data: {
        token: string;
        theme: any;
        name: string;
        isSuper: string;
        roles: any[];
    }): void;
    /**
     * Clear login data
     */
    logout(): void;
    /**
     * Set current locale
     * @param locale locale
     */
    setCurrentLang(locale: string): void;
    /**
     * Get current language
     */
    getCurrentLang(): string;
    /**
     * Get current email
     */
    getUserEmail(): string;
    /**
     * Get current username
     */
    getUserName(): string;
    /**
     * Get current user theme
     */
    getUserTheme(): string;
    /**
     * Set user theme
     * @param theme theme
     */
    setUserTheme(theme: string): void;
    /**
     * Set username
     */
    setUserName(name: string): void;
    /**
     * Clear all static values
     */
    clear(): void;
}
