import { DialogComponent, DialogData } from '../components/DialogComponent';
import { Snackbar, SnackBarComponent } from '../components/SnackBarComponent';
import { Parameters, PageType } from '../../data/lib/Types';
import { PageConfig } from '../../data/lib/PageConfig';
import { NavigateFunction } from 'react-router-dom';
export declare class UIManager {
    private constructor();
    private static _instance;
    static instance(): UIManager;
    dialog: DialogComponent;
    drawer: DialogComponent;
    snackbar: SnackBarComponent;
    renderLoading(): import("react/jsx-runtime").JSX.Element;
    displayLoading(show: boolean): void;
    /**
     * Display message
     * @param msg message
     * @param type type
     */
    displayMessage(snack: Snackbar): void;
    /**
     * Open confirm dialog
     */
    confirm(data: DialogData, callback: (res: any) => void): void;
    /**
     * Go to page
     */
    gotoPage(navigate: NavigateFunction, pageType: PageType, pageConfig: PageConfig, extra?: {
        id?: any;
        preserveQueryParams?: boolean;
    }): void;
    getLink(pageType: PageType, pageConfig: PageConfig, extra?: {
        id?: any;
        preserveQueryParams?: boolean;
    }): string;
    getUrlExtraParams(): string;
    getUrlSearchParams(): URLSearchParams;
    getQueryParams(): Parameters;
    getQueryParam(key: string): any;
    changeQueryParams(navigate: NavigateFunction, values: Parameters, replace?: boolean): void;
    isDialog(): boolean;
    isHideFilters(): boolean;
    isSelectField(): boolean;
    isHideActions(): boolean;
    isHideDefaultFilters(): boolean;
    getDefaultValues(): any;
    getRedirect(): PageType;
    getDialogId(): number;
    getDialogTitle(): string;
    hasToolbar(): boolean;
    getPageNumber(): number;
    getSort(defaultValue?: string): string;
    getSortOrder(defaultValue?: string): string;
}
