"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UIManager = void 0;
var _react = _interopRequireDefault(require("react"));
var _LocaleService = require("./LocaleService");
var _material = require("@mui/material");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var UIManager = /*#__PURE__*/function () {
  function UIManager() {
    _classCallCheck(this, UIManager);
  }
  _createClass(UIManager, [{
    key: "renderLoading",
    value: function renderLoading() {
      return /*#__PURE__*/_react.default.createElement("div", {
        className: "spinner-border text-primary",
        role: "status"
      }, /*#__PURE__*/_react.default.createElement("span", {
        className: "sr-only"
      }, "Loading..."));
    }
  }, {
    key: "displayLoading",
    value: function displayLoading(show) {
      if (!show) {
        this.dialog.close();
        return;
      }
      this.dialog.open({
        content: /*#__PURE__*/_react.default.createElement(_material.CircularProgress, {
          color: "secondary"
        }),
        width: 'unset',
        height: 'unset'
      }, undefined, {
        hasBackdrop: true,
        closable: false
      });
    }

    /**
     * Display message
     * @param msg message
     * @param type type
     */
  }, {
    key: "displayMessage",
    value: function displayMessage(snack) {
      this.snackbar.add(snack);
    }

    /**
     * Open confirm dialog
     */
  }, {
    key: "confirm",
    value: function confirm(data, callback) {
      this.dialog.open(_objectSpread(_objectSpread({}, {
        title: _LocaleService.LocaleService.instance().translate('lib.page.warning'),
        content: _LocaleService.LocaleService.instance().translate('lib.confirm'),
        actions: [{
          label: _LocaleService.LocaleService.instance().translate('lib.false'),
          value: false,
          theme: 'secondary'
        }, {
          label: _LocaleService.LocaleService.instance().translate('lib.true'),
          value: true,
          theme: 'primary'
        }]
      }), data), callback, {
        small: true,
        hasBackdrop: true,
        closable: false,
        expandableContent: true
      });
    }

    /**
     * Go to page
     */
  }, {
    key: "gotoPage",
    value: function gotoPage(navigate, pageType, pageConfig) {
      var extra = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {
        preserveQueryParams: true
      };
      if (pageType == 'none') return;
      var route = this.getLink(pageType, pageConfig, extra);
      navigate(route);
    }
  }, {
    key: "getLink",
    value: function getLink(pageType, pageConfig) {
      var extra = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {
        preserveQueryParams: true
      };
      var route = '/panel' + pageConfig.route;
      if (pageType == 'create') {
        route += '/create';
      } else if (pageType == 'edit') {
        route += '/edit/' + extra.id;
      } else if (pageType == 'detail') {
        route += '/detail/' + extra.id;
      } else if (pageType == 'list') {}
      if (extra.preserveQueryParams) {
        //route += window.location.search;
        route += '?' + this.getUrlExtraParams();
      }
      return route;
    }
  }, {
    key: "getUrlExtraParams",
    value: function getUrlExtraParams() {
      return new URL(window.location.origin + window.location.hash.slice(1)).search.slice(1);
    }
  }, {
    key: "getUrlSearchParams",
    value: function getUrlSearchParams() {
      return new URLSearchParams(new URL(window.location.origin + window.location.hash.slice(1)).search.slice(1));
    }
  }, {
    key: "getQueryParams",
    value: function getQueryParams() {
      var params = {};
      var searchParams = this.getUrlSearchParams();
      searchParams.forEach(function (value, key) {
        params[key] = value;
      });
      return params;
    }
  }, {
    key: "getQueryParam",
    value: function getQueryParam(key) {
      var searchParams = this.getUrlSearchParams();
      return searchParams.get(key);
    }
  }, {
    key: "changeQueryParams",
    value: function changeQueryParams(navigate, values) {
      var replace = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      var searchParams = this.getUrlSearchParams();
      for (var key in values) {
        searchParams.set(key, values[key]);
      }
      var search = '?' + searchParams.toString();
      if (replace) navigate({
        search: search
      }, {
        replace: true
      });else navigate({
        search: search
      });
    }

    /* Dialog */
  }, {
    key: "isDialog",
    value: function isDialog() {
      return this.getQueryParam('dialog') == '1';
    }
  }, {
    key: "isHideFilters",
    value: function isHideFilters() {
      return this.getQueryParam('hideFilters') == '1';
    }
  }, {
    key: "isSelectField",
    value: function isSelectField() {
      return this.getQueryParam('selectField') == '1';
    }
  }, {
    key: "isHideActions",
    value: function isHideActions() {
      return this.getQueryParam('hideActions') == '1';
    }
  }, {
    key: "isHideDefaultFilters",
    value: function isHideDefaultFilters() {
      return this.getQueryParam('hideDefaultFilters') == '1';
    }
    // default values from query string
  }, {
    key: "getDefaultValues",
    value: function getDefaultValues() {
      return JSON.parse(this.getQueryParam('defaultValues') || '{}');
    }
  }, {
    key: "getRedirect",
    value: function getRedirect() {
      return this.getQueryParam('redirect');
    }
  }, {
    key: "getDialogId",
    value: function getDialogId() {
      return this.getQueryParam('dialogId');
    }
  }, {
    key: "getDialogTitle",
    value: function getDialogTitle() {
      return this.getQueryParam('title');
    }
  }, {
    key: "hasToolbar",
    value: function hasToolbar() {
      return this.getQueryParam('toolbar') == '1';
    }
  }, {
    key: "getPageNumber",
    value: function getPageNumber() {
      return this.getQueryParam('page') || 1;
    }
  }, {
    key: "getSort",
    value: function getSort(defaultValue) {
      return this.getQueryParam('sort') || defaultValue;
    }
  }, {
    key: "getSortOrder",
    value: function getSortOrder(defaultValue) {
      return this.getQueryParam('sortOrder') || defaultValue;
    }
  }], [{
    key: "instance",
    value: function instance() {
      return this._instance;
    }
  }]);
  return UIManager;
}();
exports.UIManager = UIManager;
_defineProperty(UIManager, "_instance", new UIManager());
//# sourceMappingURL=UIManager.js.map