/**
 * Service result model
 */
export declare class ServiceResult<T> {
    /**
     * Is success
     */
    success: boolean;
    /**
     * Response code
     */
    code: number;
    /**
     * Response message
     */
    message?: string;
    /**
     * Response value
     */
    value?: T;
}
/**
 * Service list result model
 */
export declare class ServiceListResult<T> extends ServiceResult<T> {
    /**
     * Total item count
     */
    total: number;
}
/**
 * Service http status result
 */
export declare class ServiceHttpStatusResult<T> extends ServiceListResult<T> {
    /**
     * Response status
     */
    status: number;
    /**
     * Response status text
     */
    statusText?: any;
    constructor(init?: Partial<ServiceHttpStatusResult<T>>);
}
