export type ValidationTypes = "required" | "email" | "max" | "min" | "maxLength" | "minLength";
export declare class ValidationBase {
    type: ValidationTypes;
    constructor(init: Partial<ValidationBase>);
}
export declare class RequiredValidation extends ValidationBase {
}
export declare class EmailValidation extends ValidationBase {
}
export declare class ValueValidation extends ValidationBase {
    value: number;
    constructor(init: Partial<ValueValidation>);
}
export declare class Validators {
    static required: RequiredValidation;
    static email: EmailValidation;
    static max: (value: number) => ValueValidation;
    static min: (value: number) => ValueValidation;
    static maxLength: (value: number) => ValueValidation;
    static minLength: (value: number) => ValueValidation;
}
