"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DateComponent = DateComponent;
var _react = _interopRequireDefault(require("react"));
var _material = require("@mui/material");
var _UseForm = require("../../../../business/helpers/UseForm");
var _LibService = require("../../../../business/services/LibService");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function DateComponent(props) {
  var handleChange = function handleChange(e) {
    props.form.handleChanges(props.formKey, [{
      name: props.path,
      value: e.target.value
    }]);
  };
  var formHelper = (0, _UseForm.useFormHelper)({
    formKey: props.formKey,
    form: props.form,
    path: props.path,
    defaultValue: '',
    preSetValue: function preSetValue(rowData, defaultValue) {
      return rowData ? rowData.slice(0, 16) : defaultValue;
    }
  });
  return /*#__PURE__*/_react.default.createElement(_material.TextField, {
    id: props.field.name,
    label: _LibService.LibService.instance().getFieldLabel(props.pageConfig, props.field.name),
    value: formHelper.value,
    error: !!formHelper.error,
    helperText: formHelper.error,
    onChange: handleChange,
    InputLabelProps: {
      shrink: true
    },
    InputProps: {
      readOnly: props.isEdit ? props.field.isReadOnlyEdit : props.field.isReadOnlyCreate
    },
    type: "datetime-local",
    fullWidth: true
  });
}
//# sourceMappingURL=DateComponent.js.map