"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EditorComponent = EditorComponent;
var _react = _interopRequireWildcard(require("react"));
var _ckeditor = _interopRequireDefault(require("ckeditor5-custom-build/build/ckeditor"));
var _ckeditor5React = require("@ckeditor/ckeditor5-react");
var _UseForm = require("../../../../business/helpers/UseForm");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function EditorComponent(props) {
  var refEditor = (0, _react.useRef)();
  var formHelper = (0, _UseForm.useFormHelper)({
    formKey: props.formKey,
    form: props.form,
    path: props.path,
    defaultValue: ''
  });
  var _useState = (0, _react.useState)(''),
    _useState2 = _slicedToArray(_useState, 2),
    error = _useState2[0],
    setError = _useState2[1];
  var onReady = function onReady(editor) {
    refEditor.current = editor;
  };
  var onChange = function onChange(e, editor) {
    var data = editor.getData();
  };
  var onBlur = function onBlur(e, editor) {
    props.form.handleChanges(props.formKey, [{
      name: props.path,
      value: editor.getData()
    }]);
  };
  var onFocus = function onFocus(e, editor) {};
  (0, _react.useEffect)(function () {
    var subscription = props.form.subscribe(props.formKey, function (data) {
      var rowData = props.form.getValue(props.formKey, props.path);
      refEditor.current && refEditor.current.setData(rowData || '');
    });
    var subscriptionError = props.form.subscribeError(props.formKey, function (data) {
      var rowData = props.form.getError(props.formKey, props.path);
      setError(rowData || '');
    });
    return function () {
      props.form.unsubscribe(subscription);
      props.form.unsubscribeError(subscriptionError);
    };
  }, []);
  if (props.isEdit && formHelper.value === undefined) return null;
  // console.log(
  //  'plugins',
  //  ClassicEditor.builtinPlugins.map((plugin: any) => plugin.pluginName)
  // );
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_ckeditor5React.CKEditor, {
    editor: _ckeditor.default,
    config: {
      removePlugins: ['ImageCaption', 'EasyImage', 'MediaEmbed', 'ImageToolbar', 'CKFinder', 'ImageUpload']
    },
    onReady: onReady,
    onChange: onChange,
    onBlur: onBlur,
    onFocus: onFocus
  }));
}
//# sourceMappingURL=EditorComponent.js.map