"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NumberComponent = NumberComponent;
var _react = _interopRequireDefault(require("react"));
var _material = require("@mui/material");
var _LibService = require("../../../../business/services/LibService");
var _UseForm = require("../../../../business/helpers/UseForm");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function NumberComponent(props) {
  var handleChange = function handleChange(e) {
    props.form.handleChanges(props.formKey, [{
      name: props.path,
      value: e.target.value
    }]);
  };
  var formHelper = (0, _UseForm.useFormHelper)({
    formKey: props.formKey,
    form: props.form,
    path: props.path,
    defaultValue: 0
  });
  return /*#__PURE__*/_react.default.createElement(_material.TextField, {
    id: props.field.name,
    label: _LibService.LibService.instance().getFieldLabel(props.pageConfig, props.field.name),
    value: formHelper.value,
    error: !!formHelper.error,
    helperText: formHelper.error,
    onChange: handleChange,
    type: "number",
    fullWidth: true,
    InputProps: {
      readOnly: props.isEdit ? props.field.isReadOnlyEdit : props.field.isReadOnlyCreate
    }
  });
}
//# sourceMappingURL=NumberComponent.js.map