"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@mui/material/styles", "./makesStyles", "react", "@mui/material/IconButton", "@mui/icons-material/FirstPage", "@mui/icons-material/KeyboardArrowLeft", "@mui/icons-material/KeyboardArrowRight", "@mui/icons-material/LastPage"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@mui/material/styles"), require("./makesStyles"), require("react"), require("@mui/material/IconButton"), require("@mui/icons-material/FirstPage"), require("@mui/icons-material/KeyboardArrowLeft"), require("@mui/icons-material/KeyboardArrowRight"), require("@mui/icons-material/LastPage"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.styles, global.makesStyles, global.react, global.IconButton, global.FirstPage, global.KeyboardArrowLeft, global.KeyboardArrowRight, global.LastPage);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _styles, _makesStyles) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.TablePaginationActions = TablePaginationActions;
  var _react = _interopRequireDefault();
  var _IconButton = _interopRequireDefault();
  var _FirstPage = _interopRequireDefault();
  var _KeyboardArrowLeft = _interopRequireDefault();
  var _KeyboardArrowRight = _interopRequireDefault();
  var _LastPage = _interopRequireDefault();
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }
  var useStyles = (0, _makesStyles.makeStyles)()(function (theme) {
    return {
      root: {
        flexShrink: 0,
        marginLeft: theme.spacing(2.5)
      }
    };
  });
  function TablePaginationActions(props) {
    var _useStyles = useStyles(),
      classes = _useStyles.classes,
      cx = _useStyles.cx;
    var theme = (0, _styles.useTheme)();
    var count = props.count,
      page = props.page,
      rowsPerPage = props.rowsPerPage,
      onPageChange = props.onPageChange;
    var handleFirstPageButtonClick = function handleFirstPageButtonClick(event) {
      onPageChange(event, 0);
    };
    var handleBackButtonClick = function handleBackButtonClick(event) {
      onPageChange(event, page - 1);
    };
    var handleNextButtonClick = function handleNextButtonClick(event) {
      onPageChange(event, page + 1);
    };
    var handleLastPageButtonClick = function handleLastPageButtonClick(event) {
      onPageChange(event, Math.max(0, Math.ceil(count / rowsPerPage) - 1));
    };
    return /*#__PURE__*/_react.default.createElement("div", {
      className: classes.root
    }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onClick: handleFirstPageButtonClick,
      disabled: page === 0,
      "aria-label": "first page"
    }, theme.direction === 'rtl' ? /*#__PURE__*/_react.default.createElement(_LastPage.default, null) : /*#__PURE__*/_react.default.createElement(_FirstPage.default, null)), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onClick: handleBackButtonClick,
      disabled: page === 0,
      "aria-label": "previous page"
    }, theme.direction === 'rtl' ? /*#__PURE__*/_react.default.createElement(_KeyboardArrowRight.default, null) : /*#__PURE__*/_react.default.createElement(_KeyboardArrowLeft.default, null)), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onClick: handleNextButtonClick,
      disabled: page >= Math.ceil(count / rowsPerPage) - 1,
      "aria-label": "next page"
    }, theme.direction === 'rtl' ? /*#__PURE__*/_react.default.createElement(_KeyboardArrowLeft.default, null) : /*#__PURE__*/_react.default.createElement(_KeyboardArrowRight.default, null)), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onClick: handleLastPageButtonClick,
      disabled: page >= Math.ceil(count / rowsPerPage) - 1,
      "aria-label": "last page"
    }, theme.direction === 'rtl' ? /*#__PURE__*/_react.default.createElement(_FirstPage.default, null) : /*#__PURE__*/_react.default.createElement(_LastPage.default, null)));
  }
});
//# sourceMappingURL=TablePaginationActions.js.map