"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "../services/UIManager", "../../ui/panel/components/form/index", "../services/LibService", "../../data/lib/InputComponentProp", "../helpers/UseForm", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("../services/UIManager"), require("../../ui/panel/components/form/index"), require("../services/LibService"), require("../../data/lib/InputComponentProp"), require("../helpers/UseForm"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.UIManager, global.index, global.LibService, global.InputComponentProp, global.UseForm, global.react);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _UIManager, _index, _LibService, _InputComponentProp, _UseForm) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.useFilterView = useFilterView;
  var _react = _interopRequireWildcard();
  function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
      return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
  }
  function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
      return obj;
    }
    if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
      return {
        default: obj
      };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
      return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
      if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
        var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
        if (desc && (desc.get || desc.set)) {
          Object.defineProperty(newObj, key, desc);
        } else {
          newObj[key] = obj[key];
        }
      }
    }
    newObj.default = obj;
    if (cache) {
      cache.set(obj, newObj);
    }
    return newObj;
  }
  function _typeof(obj) {
    "@babel/helpers - typeof";

    return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
      return typeof obj;
    } : function (obj) {
      return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    }, _typeof(obj);
  }
  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }
    return keys;
  }
  function _objectSpread(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = null != arguments[i] ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
    return target;
  }
  function _defineProperty(obj, key, value) {
    key = _toPropertyKey(key);
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }
    return obj;
  }
  function _toPropertyKey(arg) {
    var key = _toPrimitive(arg, "string");
    return _typeof(key) === "symbol" ? key : String(key);
  }
  function _toPrimitive(input, hint) {
    if (_typeof(input) !== "object" || input === null) return input;
    var prim = input[Symbol.toPrimitive];
    if (prim !== undefined) {
      var res = prim.call(input, hint || "default");
      if (_typeof(res) !== "object") return res;
      throw new TypeError("@@toPrimitive must return a primitive value.");
    }
    return (hint === "string" ? String : Number)(input);
  }
  function useFilterView(props) {
    var timer = (0, _react.useRef)();
    var formKey = props.pageConfig.route;
    function loadDataTimer() {
      if (timer.current) clearTimeout(timer.current);
      timer.current = setTimeout(function () {
        props.onLoadData(form.getFormData(formKey));
      }, 1000);
    }
    var form = (0, _UseForm.useForm)();
    form.initForm({
      formKey: formKey,
      fields: [],
      initialValues: _objectSpread(_objectSpread({}, props.defaultValues), props.values),
      onAfterChanges: loadDataTimer
    });
    (0, _react.useEffect)(function () {
      form.updateFormData(formKey, _objectSpread(_objectSpread({}, props.defaultValues), props.values));
    }, []);

    /*const onChange = (field: PageField, value: any) => {
      var request = getRequest();
        var path = LibService.instance().getPath(field.prefix, field.name);
      if (field.reference) {
        var refPath = LibService.instance().getPath(field.prefix, field.reference.dataField);
        LibService.instance().setValue(request, refPath, value);
        LibService.instance().setValue(request, path, value instanceof Array ? value?.map((x) => x.id) : value?.id);
      } else {
        LibService.instance().setValue(request, path, value);
      }
      setRequest(request);
      loadDataTimer();
    };*/

    return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", {
      className: "list-search"
    }, !props.isHideFilters && props.filterFields.map(function (field, i) {
      if (_UIManager.UIManager.instance().isHideDefaultFilters()) {
        if (Object.keys(props.defaultValues).indexOf(field.name) != -1) return null;
      }
      return /*#__PURE__*/_react.default.createElement("div", {
        key: i,
        className: "list-search-fields"
      }, /*#__PURE__*/_react.default.createElement(field.filterComponent || _index.allInputs.InputComponent, new _InputComponentProp.InputComponentProp({
        key: i,
        pageConfig: props.pageConfig,
        fields: props.filterFields,
        field: field,
        className: 'filter-field',
        isFilter: true,
        form: form,
        path: _LibService.LibService.instance().getPath(field.prefix, field.name),
        formKey: formKey
      })));
    })));
  }
});
//# sourceMappingURL=useFilterView.js.map