"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./BaseBusinessLogic"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./BaseBusinessLogic"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.BaseBusinessLogic);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _BaseBusinessLogic) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.ApiBusinessLogic = void 0;
  function _typeof(obj) {
    "@babel/helpers - typeof";

    return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
      return typeof obj;
    } : function (obj) {
      return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    }, _typeof(obj);
  }
  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }
  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor);
    }
  }
  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    Object.defineProperty(Constructor, "prototype", {
      writable: false
    });
    return Constructor;
  }
  function _toPropertyKey(arg) {
    var key = _toPrimitive(arg, "string");
    return _typeof(key) === "symbol" ? key : String(key);
  }
  function _toPrimitive(input, hint) {
    if (_typeof(input) !== "object" || input === null) return input;
    var prim = input[Symbol.toPrimitive];
    if (prim !== undefined) {
      var res = prim.call(input, hint || "default");
      if (_typeof(res) !== "object") return res;
      throw new TypeError("@@toPrimitive must return a primitive value.");
    }
    return (hint === "string" ? String : Number)(input);
  }
  /**
   * Api Business Logic
   */
  var ApiBusinessLogic = /*#__PURE__*/function () {
    function ApiBusinessLogic() {
      _classCallCheck(this, ApiBusinessLogic);
      this.business = _BaseBusinessLogic.BaseBusinessLogicService.instance();
    }

    /**
     * Search data
     * @param route route
     * @param request post data
     */
    _createClass(ApiBusinessLogic, [{
      key: "search",
      value: function search(route, request) {
        return this.business.request("POST", "".concat(route, "/all"), request);
      }

      /**
       * Get detail of the entity
       * @param route route
       * @param id id of item
       */
    }, {
      key: "get",
      value: function get(route, id) {
        return this.business.request("GET", "".concat(route, "/get/").concat(id));
      }

      /**
       * Gets key-value list
       * @param route route
       * @param id id of item
       */
    }, {
      key: "gets",
      value: function gets(route, ids) {
        return this.business.request("POST", "".concat(route, "/gets"), ids);
      }

      /**
       * Create new entity
       * @param route route
       * @param data entity data
       */
    }, {
      key: "new",
      value: function _new(route, data) {
        return this.business.request("POST", "".concat(route, "/new"), data);
      }

      /**
       * Update entity
       * @param route route
       * @param data entity data
       */
    }, {
      key: "update",
      value: function update(route, data) {
        return this.business.request("POST", "".concat(route, "/update"), data);
      }

      /**
       * Update entity
       * @param route route
       * @param data entity data
       */
    }, {
      key: "updateOnly",
      value: function updateOnly(route, data) {
        return this.business.request("POST", "".concat(route, "/updateOnly"), data);
      }

      /**
       * Update or Create entity
       * @param isEdit true if it's update
       * @param route route
       * @param data entity data
       */
    }, {
      key: "upsert",
      value: function upsert(isEdit, route, data) {
        return isEdit ? this.update(route, data) : this.new(route, data);
      }

      /**
       * delete entity
       * @param route route
       * @param id entity id
       */
    }, {
      key: "delete",
      value: function _delete(route, id) {
        return this.business.request("DELETE", "".concat(route, "/delete/").concat(id));
      }
    }, {
      key: "request",
      value: function request(method, route, data, parameters, headers) {
        return this.business.request(method, route, data, parameters, headers);
      }
    }]);
    return ApiBusinessLogic;
  }();
  exports.ApiBusinessLogic = ApiBusinessLogic;
});
//# sourceMappingURL=ApiBusinessLogic.js.map