"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react-router-dom", "@mui/material", "../../../business/services/LibService", "../../../business/services/LocaleService", "../../../business/components/makesStyles", "prop-types", "react", "@mui/icons-material/ExpandLess", "@mui/icons-material/ExpandMore", "@mui/icons-material/Dashboard"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react-router-dom"), require("@mui/material"), require("../../../business/services/LibService"), require("../../../business/services/LocaleService"), require("../../../business/components/makesStyles"), require("prop-types"), require("react"), require("@mui/icons-material/ExpandLess"), require("@mui/icons-material/ExpandMore"), require("@mui/icons-material/Dashboard"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.reactRouterDom, global.material, global.LibService, global.LocaleService, global.makesStyles, global.propTypes, global.react, global.ExpandLess, global.ExpandMore, global.Dashboard);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _reactRouterDom, _material, _LibService, _LocaleService, _makesStyles) {
  "use strict";

  function _typeof(obj) {
    "@babel/helpers - typeof";

    return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
      return typeof obj;
    } : function (obj) {
      return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    }, _typeof(obj);
  }
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.MenuComponent = MenuComponent;
  var _propTypes = _interopRequireDefault();
  var _react = _interopRequireWildcard();
  var _ExpandLess = _interopRequireDefault();
  var _ExpandMore = _interopRequireDefault();
  var _Dashboard = _interopRequireDefault();
  function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
      return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
  }
  function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
      return obj;
    }
    if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
      return {
        default: obj
      };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
      return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
      if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
        var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
        if (desc && (desc.get || desc.set)) {
          Object.defineProperty(newObj, key, desc);
        } else {
          newObj[key] = obj[key];
        }
      }
    }
    newObj.default = obj;
    if (cache) {
      cache.set(obj, newObj);
    }
    return newObj;
  }
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }
  function _slicedToArray(arr, i) {
    return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
  }
  function _nonIterableRest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }
  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }
  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
    return arr2;
  }
  function _iterableToArrayLimit(arr, i) {
    var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"];
    if (null != _i) {
      var _s,
        _e,
        _x,
        _r,
        _arr = [],
        _n = !0,
        _d = !1;
      try {
        if (_x = (_i = _i.call(arr)).next, 0 === i) {
          if (Object(_i) !== _i) return;
          _n = !1;
        } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0);
      } catch (err) {
        _d = !0, _e = err;
      } finally {
        try {
          if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return;
        } finally {
          if (_d) throw _e;
        }
      }
      return _arr;
    }
  }
  function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
  }
  var useStyles = (0, _makesStyles.makeStyles)()(function (theme) {
    return {
      root: {
        width: '100%',
        maxWidth: 360,
        backgroundColor: theme.palette.background.paper
      },
      nested: {
        paddingLeft: theme.spacing(4)
      }
    };
  });
  function MenuComponent(props) {
    var _useStyles = useStyles(),
      classes = _useStyles.classes,
      cx = _useStyles.cx;
    var _useState = (0, _react.useState)([]),
      _useState2 = _slicedToArray(_useState, 2),
      menus = _useState2[0],
      setMenus = _useState2[1];
    var _useState3 = (0, _react.useState)(),
      _useState4 = _slicedToArray(_useState3, 2),
      selectedMenu = _useState4[0],
      setSelectedMenu = _useState4[1];
    (0, _react.useEffect)(function () {
      var clonedMenus = props.menus.filter(function (x) {
        return true;
      });
      // init menus with permission
      clonedMenus.forEach(function (menuItem) {
        menuItem.routes = [];
        props.routes.forEach(function (routes) {
          routes.forEach(function (route) {
            if (route.config.hideMenu) return;
            if (route.config.menu == menuItem.menuKey) {
              if (!_LibService.LibService.instance().hasAccess(route.config.moduleKey, route.config.pageKey, 'list')) return;
              menuItem.routes.push(route);
              menuItem.hasAccess = true;
            }
          });
        });
      });
      setMenus(clonedMenus);
    }, []);
    return /*#__PURE__*/_react.default.createElement("div", null, props.logo && /*#__PURE__*/_react.default.createElement("div", {
      className: "logo"
    }, /*#__PURE__*/_react.default.createElement("img", {
      src: props.logo,
      alt: "logo"
    })), /*#__PURE__*/_react.default.createElement(_material.List, {
      component: "nav",
      "aria-labelledby": "nested-list-subheader",
      className: classes.root
    }, props.headerMenu, !props.hideDashBoard && /*#__PURE__*/_react.default.createElement(_material.ListItem, {
      button: true,
      component: _reactRouterDom.Link,
      to: '/panel'
    }, /*#__PURE__*/_react.default.createElement(_material.ListItemIcon, null, /*#__PURE__*/_react.default.createElement(_Dashboard.default, {
      color: "inherit"
    })), /*#__PURE__*/_react.default.createElement(_material.ListItemText, {
      primary: _LocaleService.LocaleService.instance().translate('menu.dashboard', 'Dashboard')
    }), /*#__PURE__*/_react.default.createElement(_ExpandLess.default, {
      style: {
        visibility: 'hidden'
      }
    })), menus.map(function (menu, i) {
      if (!menu.hasAccess) return null;
      var isSelected = selectedMenu == menu.menuKey;
      return /*#__PURE__*/_react.default.createElement("div", {
        key: 'menu' + i
      }, /*#__PURE__*/_react.default.createElement(_material.ListItem, {
        button: true,
        onClick: function onClick() {
          return setSelectedMenu(isSelected ? '' : menu.menuKey);
        }
      }, /*#__PURE__*/_react.default.createElement(_material.ListItemIcon, null, menu.icon), /*#__PURE__*/_react.default.createElement(_material.ListItemText, {
        primary: _LocaleService.LocaleService.instance().translate('menu.' + menu.menuKey)
      }), isSelected ? /*#__PURE__*/_react.default.createElement(_ExpandLess.default, null) : /*#__PURE__*/_react.default.createElement(_ExpandMore.default, null)), /*#__PURE__*/_react.default.createElement(_material.Collapse, {
        in: isSelected,
        timeout: "auto",
        unmountOnExit: true
      }, /*#__PURE__*/_react.default.createElement(_material.List, {
        component: "div",
        disablePadding: true
      }, menu.routes.map(function (route, j) {
        return /*#__PURE__*/_react.default.createElement(_material.ListItem, {
          button: true,
          key: 'submenu' + i + j,
          className: classes.nested,
          component: _reactRouterDom.Link,
          to: '/panel' + route.config.route
          //selected={route.config.route}
        }, /*#__PURE__*/_react.default.createElement(_material.ListItemIcon, null), /*#__PURE__*/_react.default.createElement(_material.ListItemText, {
          primary: _LibService.LibService.instance().getRouteLabel(route.config)
        }));
      }))));
    }), props.footerMenu));
  }
  MenuComponent.propTypes = {
    menus: _propTypes.default.array.isRequired,
    routes: _propTypes.default.arrayOf(_propTypes.default.array).isRequired,
    headerMenu: _propTypes.default.any,
    footerMenu: _propTypes.default.any,
    hideDashBoard: _propTypes.default.bool,
    logo: _propTypes.default.string
  };
});
//# sourceMappingURL=MenuComponent.js.map