"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@mui/material", "../../../../business/services/LibService", "../../../../business/helpers/UseForm", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@mui/material"), require("../../../../business/services/LibService"), require("../../../../business/helpers/UseForm"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.material, global.LibService, global.UseForm, global.react);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _material, _LibService, _UseForm) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.CheckboxComponent = CheckboxComponent;
  var _react = _interopRequireDefault();
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }
  function CheckboxComponent(props) {
    var handleChange = function handleChange(e) {
      props.form.handleChanges(props.formKey, [{
        name: props.path,
        value: e.target.checked
      }]);
    };
    var formHelper = (0, _UseForm.useFormHelper)({
      formKey: props.formKey,
      form: props.form,
      path: props.path,
      defaultValue: false
    });
    return /*#__PURE__*/_react.default.createElement(_material.FormControl, {
      error: !!formHelper.error
    }, /*#__PURE__*/_react.default.createElement(_material.FormControlLabel, {
      id: props.field.name,
      label: _LibService.LibService.instance().getFieldLabel(props.pageConfig, props.field.name),
      control: /*#__PURE__*/_react.default.createElement(_material.Checkbox, {
        checked: formHelper.value,
        onChange: handleChange,
        name: props.field.name,
        disabled: props.isEdit ? props.field.isReadOnlyEdit : props.field.isReadOnlyCreate
      })
    }), /*#__PURE__*/_react.default.createElement(_material.FormHelperText, null, formHelper.error));
  }
});
//# sourceMappingURL=CheckboxComponent.js.map