"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "../../../../business/services/LibService", "../../../../business/components/makesStyles", "react", "@mui/material/Chip"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("../../../../business/services/LibService"), require("../../../../business/components/makesStyles"), require("react"), require("@mui/material/Chip"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.LibService, global.makesStyles, global.react, global.Chip);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _LibService, _makesStyles) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.GridFieldComponent = GridFieldComponent;
  var _react = _interopRequireDefault();
  var _Chip = _interopRequireDefault();
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }
  var useStyles = (0, _makesStyles.makeStyles)()({
    gridChips: {}
  });
  function GridFieldComponent(props) {
    var _useStyles = useStyles(),
      classes = _useStyles.classes,
      cx = _useStyles.cx;
    var field = props.gridField;
    var path = _LibService.LibService.instance().getPath(field.prefix, field.name);
    var val;
    if (field.enumName) {
      val = _LibService.LibService.instance().getValue(props.rowData, path);
      val = _LibService.LibService.instance().translatEnum(field.enum, field.enumName, val);
    } else if (field.reference) {
      var relatedData = props.rowData[field.reference.dataField];
      if (relatedData) {
        if (field.isList) {
          val = relatedData.map(function (item, i) {
            var _item$field$reference;
            return /*#__PURE__*/_react.default.createElement(_Chip.default, {
              key: i,
              label: (_item$field$reference = item[field.reference.filterField]) !== null && _item$field$reference !== void 0 ? _item$field$reference : ''
            });
          });
        } else {
          val = relatedData[field.reference.filterField];
        }
        return /*#__PURE__*/_react.default.createElement("span", {
          className: classes.gridChips
        }, val);
      }
    } else {
      val = _LibService.LibService.instance().getValue(props.rowData, path);
    }
    return /*#__PURE__*/_react.default.createElement("span", null, props.isLink && /*#__PURE__*/_react.default.createElement("a", {
      href: val,
      target: "_blank"
    }, val), !props.isLink && (val === undefined ? '' : " ".concat(val)));
  }
});
//# sourceMappingURL=GridFieldComponent.js.map