"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@mui/material", "../../../../business/helpers/UseForm", "../../../../business/services/LibService", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@mui/material"), require("../../../../business/helpers/UseForm"), require("../../../../business/services/LibService"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.material, global.UseForm, global.LibService, global.react);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _material, _UseForm, _LibService) {
  "use strict";

  function _typeof(obj) {
    "@babel/helpers - typeof";

    return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
      return typeof obj;
    } : function (obj) {
      return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    }, _typeof(obj);
  }
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.InputComponent = InputComponent;
  var _react = _interopRequireWildcard();
  function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
      return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
  }
  function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
      return obj;
    }
    if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
      return {
        default: obj
      };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
      return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
      if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
        var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
        if (desc && (desc.get || desc.set)) {
          Object.defineProperty(newObj, key, desc);
        } else {
          newObj[key] = obj[key];
        }
      }
    }
    newObj.default = obj;
    if (cache) {
      cache.set(obj, newObj);
    }
    return newObj;
  }
  function InputComponent(props) {
    var formHelper = (0, _UseForm.useFormHelper)({
      formKey: props.formKey,
      form: props.form,
      path: props.path
    });
    var timer = (0, _react.useRef)();
    function loadDataTimer(value) {
      if (timer.current) clearTimeout(timer.current);
      timer.current = setTimeout(function () {
        props.form.handleChanges(props.formKey, [{
          name: props.path,
          value: value
        }]);
      }, 200);
    }
    var handleChange = function handleChange(e) {
      formHelper.setValue(e.target.value);
      loadDataTimer(e.target.value);
    };
    return /*#__PURE__*/_react.default.createElement(_material.TextField, {
      id: props.field.name,
      label: _LibService.LibService.instance().getFieldLabel(props.pageConfig, props.field.name),
      value: formHelper.value || '',
      error: !!formHelper.error,
      helperText: formHelper.error,
      onChange: handleChange,
      multiline: props.isMultiline,
      fullWidth: true,
      InputProps: {
        readOnly: props.isEdit ? props.field.isReadOnlyEdit : props.field.isReadOnlyCreate
      }
    });
  }
});
//# sourceMappingURL=InputComponent.js.map