"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react-router-dom", "../../../business/services/LibService", "../../public/NoMatch", "../components/Master", "../components/PrivateRoute", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react-router-dom"), require("../../../business/services/LibService"), require("../../public/NoMatch"), require("../components/Master"), require("../components/PrivateRoute"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.reactRouterDom, global.LibService, global.NoMatch, global.Master, global.PrivateRoute, global.react);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _reactRouterDom, _LibService, _NoMatch, _Master, _PrivateRoute) {
  "use strict";

  function _typeof(obj) {
    "@babel/helpers - typeof";

    return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
      return typeof obj;
    } : function (obj) {
      return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    }, _typeof(obj);
  }
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Home = Home;
  exports.default = void 0;
  var _react = _interopRequireWildcard();
  function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) {
      return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
  }
  function _interopRequireWildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
      return obj;
    }
    if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
      return {
        default: obj
      };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
      return cache.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
      if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
        var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
        if (desc && (desc.get || desc.set)) {
          Object.defineProperty(newObj, key, desc);
        } else {
          newObj[key] = obj[key];
        }
      }
    }
    newObj.default = obj;
    if (cache) {
      cache.set(obj, newObj);
    }
    return newObj;
  }
  function Home(props) {
    return /*#__PURE__*/_react.default.createElement(_Master.Master, {
      toolbar: props.toolbar,
      menu: props.menu,
      footer: props.footer
    }, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Routes, null, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
      path: "",
      element: /*#__PURE__*/_react.default.createElement(_PrivateRoute.PrivateRoute, null, " ", props.dashboard)
    }), props.menu.routes.flatMap(function (item, index) {
      return item.flatMap(function (routeItem, i) {
        var url = routeItem.config.route;
        return [routeItem.list && /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          key: 4 * i,
          path: url,
          element: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(RouteChanged, {
            config: routeItem.config
          }), /*#__PURE__*/_react.default.createElement(routeItem.list, null))
        }), routeItem.detail && /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          key: 4 * i + 1,
          path: url + '/detail/:id',
          element: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(RouteChanged, {
            config: routeItem.config
          }), /*#__PURE__*/_react.default.createElement(routeItem.detail, null))
        }), routeItem.create && /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          key: 4 * i + 2,
          path: url + '/create',
          element: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(RouteChanged, {
            config: routeItem.config
          }), /*#__PURE__*/_react.default.createElement(routeItem.create, null))
        }), routeItem.edit && /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
          key: 4 * i + 3,
          path: url + '/edit/:id',
          element: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(RouteChanged, {
            config: routeItem.config
          }), /*#__PURE__*/_react.default.createElement(routeItem.edit, null))
        })];
      });
    }), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Route, {
      path: "*",
      element: /*#__PURE__*/_react.default.createElement(_NoMatch.NoMatch, null)
    })));
  }
  function RouteChanged(_ref) {
    var config = _ref.config;
    var location = (0, _reactRouterDom.useLocation)();
    (0, _react.useEffect)(function () {
      _LibService.LibService.instance().selectedPage.next(config);
    }, [location]);
    return /*#__PURE__*/_react.default.createElement("span", null);
  }
  var _default = Home;
  exports.default = _default;
});
//# sourceMappingURL=Home.js.map